<?php
require_once '../../data/constant.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../data/data_for_test.php';
require_once '../../util/file_ctl.php';

ini_set("session.save_handler","files");
session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}//ɻ
$ses_list = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_list['status'];
$admin_id=$ses_list['teacher_id'];
$err_msg="";
$is_able_up = "";
$is_able_down= "";

//POSTǡ
$down_flag = "";
$up_flag = "";
$xml_cont="";

if (isset($_POST['up_load'])) {
	if ($_POST['up_load'] <> 1) {
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/index.php");
		exit;
	}
	$up_flag = 1;
}
if (isset($_POST['down_load'])) {
	if ($_POST['down_load'] <> 1) {
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/index.php");
		exit;
	}
	$down_flag = 1;
}

//եɤ߹ߥå

if (!is_readable(XML_PATH.XML_FILE) || !is_writable(XML_PATH.XML_FILE)) {
	$is_able_up = "disabled";
	$is_able_down= "disabled";
	$err_msg .= _EXAM_TEA_ANALYZE_XML_AUTH_ERR1.XML_PATH._EXAM_TEA_ANALYZE_XML_AUTH_ERR2;
}
//XMLåץɤ줿

if ($up_flag == 1 && isset($_FILES['up_xml']) && $err_msg == "") {
	if ($_FILES['up_xml']['name'] <> "") {
		if (!ereg("\.xml", $_FILES['up_xml']['name'])) {
			$err_msg .= "";
		} else {
			$tmpxml = uniqid();
			$tmpxml .= ".xml";
			if (!move_uploaded_file($_FILES['up_xml']['tmp_name'], XML_PATH.$tmpxml)) {
				$err_msg .="Failed to Copy uploaded file";
			} else {
				$xml_cont =file_get_contents(XML_PATH.$tmpxml);
				unlink(XML_PATH.$tmpxml);
			}
			unset($_FILES);
		}
	}
}

//if ($up_flag==1 && $xml_cont <> "") {
//	$db_err = xml2insertDb ($xml_cont);
//xml2insertDb ($xml_cont);
	
/*	if ($db_err == "") {
		//xmlΥåץɤ
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/txt_make/list.php");
		exit;
	} else {
		//
		$err_msg .= $db_err;
	}*/
//}

if (($down_flag == 1 || ($up_flag ==1 && $xml_cont <> ""))&& $err_msg == "") {
	//xmlΥɤ⤷ϥåץư
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		if ($up_flag == 1) {
			if (xml2insertDb ($xml_cont,$data_object->conn)) {
		//xmlΥåץɤ
				header("Content-Type: text/html; charset=EUC-JP");
				header(URL_SET."teacher/txt_make/list.php");
				exit;
			} else {
				$err_msg .="Cannot upload xml!";
			} 
			
		} else {
		$xml_access_obejct = new CXMLDownUp();
		//xmlǡϿ
		//xmlɤ
		if (!$xml_access_obejct->setDownData($data_object->conn)) {
			$err_msg .= "Cannot make XML<br/>";
		} else {
			$xml_access_obejct->setXMLData ();
			$xml_txt = $xml_access_obejct->getXMLData();
			//echo nl2br(htmlspecialchars($xml_txt));
			if ($down_file = fopen(XML_PATH.XML_FILE, "w")) {
				flock($down_file,2);
				fwrite ($down_file, $xml_txt);
				flock($down_file,3);
				fclose($down_file);
				$d_file=XML_PATH.XML_FILE;
				header ("Content-Type:application/octet-stream");
				header ("Content-Disposition: attachment; filename=\"".XML_FILE."\"");
				readfile ($d_file);
				if ($down_file = fopen(XML_PATH.XML_FILE, "w")){
					flock($down_file,2);
					fwrite ($down_file, "");
					flock($down_file,3);
					fclose($down_file);
				}
	    		exit;
			} else {
				$err_msg .= _EXAM_COMMON_FILE_OPEN_ERR;
			}
		}
		}
	}
	$data_object->closeDB();
}
$show_data = file_get_contents(TEMPLATE_DIR.'ad_txt_make/down_up.tpl');
$show_data = str_replace(':ERR_MSG_REP:', $err_msg, $show_data);
$show_data = str_replace(':IS_ABLE_UP:', $is_able_up, $show_data);
$show_data = str_replace(':IS_ABLE_DOWN:', $is_able_down, $show_data);

echo $show_data;
?>